IDR_REPLACE(9)

NAME
idr_replace - replace pointer for given id

SYNOPSIS

void * idr_replace(struct idr * idp, void * ptr, int id);

ARGUMENTS

idp
    idr handle

ptr
    pointer you want associated with the id

id
    lookup key

DESCRIPTION

Replace the pointer registered with an id and return the old value. A -ENOENT return indicates that id was not found. A -EINVAL return indicates that id was not within valid constraints.

The caller must serialize with writers.

COPYRIGHT